IEEE80211_START_TX_B(9)

NAME
ieee80211_start_tx_ba_session - Start a tx Block Ack session.

SYNOPSIS

int ieee80211_start_tx_ba_session(struct ieee80211_sta * sta, u16 tid, u16 timeout);

ARGUMENTS

sta
    the station for which to start a BA session

tid
    the TID to BA on.

timeout
    session timeout value (in TUs)

RETURN

success if addBA request was sent, failure otherwise

Although mac80211/low level driver/user space application can estimate the need to start aggregation on a certain RA/TID, the session level will be managed by the mac80211.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT